PDF::API3::Compat::API2::Basic::TTF::Vmtx(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Vmtx - Vertical Metrics

DESCRIPTION
Contains the advance height and top side bearing for each glyph. Given the compressability of the data onto disk, this table uses information from other tables, and thus must do part of its output during the output of other tables

INSTANCE VARIABLES
The vertical metrics are kept in two arrays by glyph id. The variable names do not start with a space

advance
    An array containing the advance height for each glyph

top An array containing the top side bearing for each glyph

METHODS

  $t->read
Reads the vertical metrics from the TTF file into memory

  $t->out($fh)
Writes the metrics to a TTF file. Assumes that the "vhea" has updated the numVMetrics from here

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.